Subject: bug#49774: 27.1; if diff commands finds no differences then do not pop up a window

From: ndame <[email-masked]>
Date: Fri, 30 Jul 2021 13:19:29 +0000

>
> I was going to suggest a user option that switches to the synchronous
> mode of operation, but the above sounds probably even better.

Or there can be an option like  diff-show-window-only-if-difference-exists
which can be nil for the current behavior and t if the user wants to see
no window if there is no difference, just a message.

This may be the simplest solution, because then the user can simply set
it according his working conditions. If he works with remote files he
sets it to nil, if he works with files on his local machine then it can
be set to t.